
var gPref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

function doConciseMode()
{
// Change window title to include number of extensions

   var RDFService = Components.classes["@mozilla.org/rdf/rdf-service;1"]
               .getService(Components.interfaces.nsIRDFService);
   var Container = Components.classes["@mozilla.org/rdf/container;1"]
               .getService(Components.interfaces.nsIRDFContainer);
   var extensionDS = Components.classes["@mozilla.org/extensions/manager;1"]
               .getService(Components.interfaces.nsIExtensionManager).datasource;
   var root = RDFService.GetResource("urn:mozilla:extension:root");
   Container.Init(extensionDS,root);

   var elements = Container.GetElements();
   var extCount = 0;
   try {
      while (elements.hasMoreElements())
      {
         var element=elements.getNext();
         extCount++;
      }
   } catch(e){}
   var oldTitle = document.getElementById("extensionsManager").getAttribute("title");
   document.getElementById("extensionsManager").setAttribute("title",oldTitle + " [" + extCount + "]");

// Set or clear Concise Mode and Performance Mode

   try {
      var conciseMode = (gPref.getBoolPref("extensions.embuttons.conciseModeEM"));
      var perfMode = (gPref.getBoolPref("extensions.embuttons.perfModeEM"));
   } catch(e){}


   var XULNS = "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul";
   var els = document.getElementsByTagNameNS(XULNS,"extension");
   var i;
   for (i = 0; i < els.length; ++i) {
      els[i].setAttribute("embconcisemode", conciseMode);
      els[i].setAttribute("embperfmode", perfMode);
   }
   document.getElementById("getMore").setAttribute("embconcisemode", conciseMode);
   document.getElementById("extensionsView").setAttribute("embconcisemode", conciseMode);
   document.getElementById("extensionsView").setAttribute("embperfmode", perfMode);
}







